/*  imptst.cpp -- test of impedance matrix generator */
#include <stdio.h>
#include <math.h>
#include <complex>
#include "engsci.h"

void main()
{
    int nMesh,nz,i,j;
    int mesh1[20],mesh2[20];
    double re,im;
    complex<double> imped[20];
    complex<double> **z;

    z = new complex<double> *[10];
    for (i=0;i<10;i++) {
        z[i] = new complex<double> [10];
    }
    printf(" Number of meshes : ");
    scanf("%d",&nMesh);
    printf(" Number of impedances : ");
    scanf("%d",&nz);
    printf(" I   Mesh1   Mesh2    Z.re     Z.im\n");
    for (i=0;i<nz;i++) {
        scanf("%d %d %lf %lf", &mesh1[i],&mesh2[i],&re,&im);
        imped[i] = complex<double>(re,im);
        cout << mesh1[i] << "  " << mesh2[i] << "  " << imped[i] << endl;
    }
    ImpedMesh(nMesh,nz,imped,mesh1,mesh2,z);
    printf("\n             Impedance Matrix\n");
    for (i=0;i<nMesh;i++) {
        for (j=0;j<nMesh;j++) {
            cout << z[i][j] << "  ";
        }
        cout << endl;
    }
}

