#ifndef engsciH
#define engsciH
#include <complex>
double Mag(complex<double> x);
double Arg(complex<double> x);
complex<double> ValPoly(int n,double a[],complex<double> s);
void DifPoly(int n,double a[],double b[]);
void IntegTrpz(double timeA,double timeB,int n,double *a,double (*y)(double));
int Romberg(double timeA,double timeB,int nmax,double *a,
    double (*y)(double),double errmax,int test);
double DiffEqn(double tInitial,double yInitial,double tstop,int iter,
    double (*G)(double,double));
void AdBash(double tInitial, double yInitial, double tstop,int n,
    double a[],double (*G)(double t,double y),int test);
void MxDiffEqn(double tInitial,double yInitial[],int nVars,double tstop,
    int iter,double y[],void (*Gn)(double t, double y[], double g[]));
void ResisMesh(int nMesh,int nRes,double res[],int mesh1[],
    int mesh2[],double *r[]);
void GjSimEqn(double v[],double *r[],double amps[],int n);
void Roots(double a[],int n,complex<double> p[]);
void ParFrac(int m,double a[],int n,double b[],complex<double> p[],
    complex<double> r[]);
void InvLaplace(int nt,double tr,int n,complex<double> p[],
    complex<double> r[],double a[]);
void SinStdySt(int m, double a[],int n,double b[],double omega,
    complex<double> *vcart,complex<double> *vpolar);
void ImpedMesh(int nMesh,int nz,complex<double> imped[],int mesh1[],
    int mesh2[],complex<double> *z[]);
void CmplxSimEqn(complex<double> v[],complex<double> *z[],
    complex<double> amps[],int nMesh);
#endif
