/*  ivtst.cpp -- test of inverse laplace transform */
#include <stdio.h>
#include <math.h>
#include <complex>
#include "engsci.h"

int precision_error_flag;
void main()
{
    int i,m,n;
    double tr;
    double a[20],b[20],bb[20];
    complex<double> poles[20],resid[20];
    double plt[200];

    fprintf(stderr,"Degree of numerator: ");
    scanf("%d",&m);
    fprintf(stderr," Numerator\n");
    for (i=0;i<=m;i++) {
        scanf("%lf",&a[i]);
        fprintf(stderr,"%d  %lf\n",i,a[i]);
    }
    fprintf(stderr,"Degree of denominator: ");
    scanf("%d",&n);

    fprintf(stderr," Denominator\n");
    for (i=0;i<=n;i++) {
        scanf("%lf",&b[i]);
        bb[i] = b[i];
        fprintf(stderr,"%d  %lf\n",i,b[i]);
    }                
    precision_error_flag = 0;
    Roots(bb,n,poles);
    fprintf(stderr," Poles\n");
    for (i=0;i<n;i++) {
        fprintf(stderr,"%lf  %lf \n",real(poles[i]),imag(poles[i]));
    }
    ParFrac(m,a,n,b,poles,resid);
    fprintf(stderr," Residues\n");
    for (i=0;i<n;i++) {
        fprintf(stderr,"%lf  %lf \n",real(resid[i]),imag(resid[i]));
    }
    fprintf(stderr,"Time interval (0 -> t): ");
    scanf("%lf",&tr);
    printf("\n");
    InvLaplace(200,tr,n,poles,resid,plt);
    for (i=0;i<200;i++) {
        printf("%lf\n",plt[i]);
    }
}
